/*
 * Ken Clarkson wrote this.  Copyright (c) 1995 by AT&T..
 * Permission to use, copy, modify, and distribute this software for any
 * purpose without fee is hereby granted, provided that this entire notice
 * is included in all copies of any software which is or includes a copy
 * or modification of this software and in all copies of the supporting
 * documentation for such software.
 * THIS SOFTWARE IS BEING PROVIDED "AS IS", WITHOUT ANY EXPRESS OR IMPLIED
 * WARRANTY.  IN PARTICULAR, NEITHER THE AUTHORS NOR AT&T MAKE ANY
 * REPRESENTATION OR WARRANTY OF ANY KIND CONCERNING THE MERCHANTABILITY
 * OF THIS SOFTWARE OR ITS FITNESS FOR ANY PARTICULAR PURPOSE.
 */

#define NMAX 40001

typedef	float	constraint, *opt_point;

extern int	n,		/* number of constraints */
	sconstraint,	/* size of a constraint */
	sopt_point,	/* size of an optimum point */
	b,		/* max number of constraints determining an opt_point */
	seed;

extern constraint	*A[NMAX],	/* pointers to constraints */
		*constraints;


extern double double_rand(void);	/* supplied by rand.c */
extern void init_rand(long seed);


extern opt_point small_opt(int); /* supplied by user */
extern int fails(opt_point,int); 

extern opt_point recur_opt(int);

extern opt_point seidel_opt(int);

extern opt_point iter_opt(int);
